Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 983645 - [RFE] Satellite 6: Ability to create satellite manifest and install it directly from the satellite itself.
Summary: [RFE] Satellite 6: Ability to create satellite manifest and install it direct...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: Nightly
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On: 983197
Blocks: sat-nextgen
TreeView+ depends on / blocked
 
Reported: 2013-07-11 15:31 UTC by Mike McCune
Modified: 2014-07-02 14:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 983197
Environment:
Last Closed: 2014-07-02 14:06:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 983197 None None None Never

Internal Links: 983197

Description Mike McCune 2013-07-11 15:31:32 UTC
+++ This bug was initially created as a clone of Bug #983197 +++

Description of problem: When customers need a new satellite certificate they must go to the customer portal and create one or call into GSS and have one created for them. 

It would be nice if they could do this from their own satellite with out having to log into the portal or call into support. 




EX: Satellite administrator while logged into his satellite console has the ability to generate new satellite certificates when the existing one is set to expire or he adds new subscriptions.

Comment 1 Mike McCune 2013-07-11 15:33:44 UTC
For Satellite 6 we should look into:

* Refreshing subscription manifests directly from the Customer Portal

* Eliminating the need for manifest zips entirely and allow the Satellite/SAM server to generate and allocate subscriptions entirely from within the Satellite UI.

Comment 2 Mike McCune 2013-07-11 16:37:22 UTC
Correction:

With Satellite 6 you can currently refresh your manifest from the customer portal automatically from the UI and CLI.  Once imported if new subscriptions are added or renewed at the Customer Portal all the user has todo is use the UI to 'refresh' the manifest which will grab the latest subscription data without requiring the user to login to Red Hat's customer portal.

Comment 3 Mike McCune 2013-07-11 16:38:19 UTC
Moving to MODIFIED for 6.0.3 so we can test it there.

Comment 6 Mike McCune 2013-10-17 21:01:51 UTC
Moving this to be tested during MDP3, not critical for MDP2 success story

Comment 7 Corey Welton 2014-04-25 20:25:39 UTC
verified in Satellite-6.0.3-RHEL-6-20140423.1. Also note that, given certain circumstances (i.e., an old manifest or something), a user is appropriately told that the selected manifest cannot be refreshed.

Comment 8 Bryan Kearney 2014-07-02 14:06:16 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.


Note You need to log in before you can comment on or make changes to this bug.